Bug 976687 - CVE-2013-2208 tpp: Possibility of arbitrary code execution when processing untrusted TPP template [epel-6]
Summary: CVE-2013-2208 tpp: Possibility of arbitrary code execution when processing un...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tpp (Show other bugs)
(Show other bugs)
Version: el6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2208
TreeView+ depends on / blocked
 
Reported: 2013-06-21 07:56 UTC by Jan Lieskovsky
Modified: 2014-02-18 23:02 UTC (History)
2 users (show)

Fixed In Version: tpp-1.3.1-17.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 23:06:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-06-21 07:56:56 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for tpp: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Jan Lieskovsky 2013-06-21 07:57:08 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=976684,976687

Comment 2 Jesus M. Rodriguez 2014-01-18 19:53:40 UTC
Patch applied to el6, f19, f20.

Comment 3 Fedora Update System 2014-01-28 18:27:53 UTC
tpp-1.3.1-16.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tpp-1.3.1-16.el6

Comment 4 Fedora Update System 2014-01-28 18:32:25 UTC
tpp-1.3.1-16.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tpp-1.3.1-16.fc20

Comment 5 Fedora Update System 2014-01-28 18:33:19 UTC
tpp-1.3.1-16.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tpp-1.3.1-16.fc19

Comment 6 Fedora Update System 2014-01-29 21:22:57 UTC
Package tpp-1.3.1-16.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing tpp-1.3.1-16.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0393/tpp-1.3.1-16.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-01-31 17:26:47 UTC
tpp-1.3.1-17.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.el6

Comment 8 Fedora Update System 2014-01-31 17:28:00 UTC
tpp-1.3.1-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.fc20

Comment 9 Fedora Update System 2014-01-31 17:29:14 UTC
tpp-1.3.1-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.fc19

Comment 10 Fedora Update System 2014-02-11 23:06:25 UTC
tpp-1.3.1-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-02-11 23:17:23 UTC
tpp-1.3.1-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-02-18 23:02:41 UTC
tpp-1.3.1-17.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.